ssft.sh(1)

NAME
ssft.sh - library of shell script frontend functions

SYNOPSIS
. ssft.sh

DESCRIPTION
ssft.sh is a library of shell functions that must be sourced from other scripts. If the script is executed without arguments it prints an usage message and also supports the options --doc, --help and --version.

To get a list of available functions call the script with the --doc argument and to get a description of what a given function does call the script with --doc FUNCTION_NAME.

On the typical case the library must be sourced and the SSFT_FRONTEND variable must be set to the desired frontend (zenity, dialog or text); if the variable is not set the default frontend is noninteractive.

To choose the theoretically best looking frontend use the function ssft_choose_frontend as follows:

    . ssft.sh
    [ -n "$SSFT_FRONTEND" ] || SSFT_FRONTEND="$( ssft_choose_frontend )"

AUTHOR
Written by Sergio Talens-Oliag <sto@debian.org>.